Centos7.9安装PHP8

Centos7.9安装PHP8

centos7默认源的php版本只有5.4,版本太老,而mediawiki需要的php版本为7.4以上,所以本文直接升级到php8.0。

1、卸载所有已安装的PHP

yum remove -y php*

2、添加remi源(可能需要提前安装epel-release)

yum install -y https://rpms.remirepo.net/enterprise/remi-release-7.rpm

3、单独启用php80的源(没有yum-config-manager命令的话需要安装yum-utils)

  1. yum install -y yum-utils device-mapper-persistent-data lvm2
  2. yum-config-manager –disable ‘remi-php*’
  3. yum-config-manager –enable remi-php80

4、安装php及其拓展

yum install -y php php-bcmath php-cli php-common php-devel php-fpm php-gd php-intl php-ldap php-mbstring php-mysqlnd php-odbc php-pdo php-pear php-pecl-xmlrpc php-pecl-zip php-process php-snmp php-soap php-sodium php-xml

5、版本验证

php -v

在这里插入图片描述

                       

点击阅读全文

上一篇 2023年 6月 11日 am10:14
下一篇 2023年 6月 11日 am10:14